[tool.poetry]
name = "wisp"
version = "0.1.0"
description = ""
authors = ["Juliusz Tarnowski <juliusz.stanislaw.tarnowski@gmail.com>"]
license = "Closed"
readme = "README.md"
packages = [
    { include = "scm", from = "src" },
    { include = "cartographer", from = "src" },
    { include = "fields", from = "src" },
]

[tool.poetry.scripts]
scm = "scm.main:app"

[tool.poetry.dependencies]
python = "^3.11"
typer = "^0.7.0"
pillow = "^9.5.0"
pandas = "^2.0.0"

[tool.poetry.group.test.dependencies]
pytest = "^7.2.1"
black = "^23.1.0"
flake8 = "^6.0.0"
isort = "^5.12.0"
mypy = "^1.0.1"

[tool.isort]
profile = "black"
line_length = 120

[tool.black]
line-length = 120

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
